No, not at all. Bioscape and Lunaris are made for the free Kontakt Player so the full version of Kontakt is not required. Both will load without limitations in the free Kontakt Player or the full version of Kontakt. If loaded in the full version of Kontakt v5.6.8 is required for Lunaris and v6.2 is required for Bioscape.

No other software is needed to run Lunaris or Bioscape and with the free Kontakt Player they can be inserted in your DAW like any other VST plugin. Just download the latest version of the free Kontakt Player from this link.

If you are looking into getting the full version of Kontakt, then you can crossgrade to the full version of Kontakt if you own either Lunaris or Bioscape – you save $150 that way, this is possible because both libraries are official Native Instruments 3rd party libraries, read this page for pricing info.